# DataExchange
TKVRML
VrmlData

# VrmlData_Material Class Reference

`#include <VrmlData_Material.hxx>`

Inheritance diagram for VrmlData_Material:

[legend]

## Public Member Functions

Standard_EXPORT | VrmlData_Material ()
Standard_EXPORT | VrmlData_Material (const VrmlData_Scene &theScene, const char *theName, const Standard_Real theAmbientIntensity=-1., const Standard_Real theShininess=-1., const Standard_Real theTransparency=-1.)
Standard_Real | AmbientIntensity () const
Standard_Real | Shininess () const
Standard_Real | Transparency () const
const Quantity_Color & | DiffuseColor () const
const Quantity_Color & | EmissiveColor () const
const Quantity_Color & | SpecularColor () const
void | SetAmbientIntensity (const Standard_Real theAmbientIntensity)
void | SetShininess (const Standard_Real theShininess)
void | SetTransparency (const Standard_Real theTransparency)
void | SetDiffuseColor (const Quantity_Color &theColor)
void | SetEmissiveColor (const Quantity_Color &theColor)
void | SetSpecularColor (const Quantity_Color &theColor)
virtual Standard_EXPORT | Handle (VrmlData_Node) Clone(const Handle(VrmlData_Node)&theOther) const
virtual Standard_EXPORT VrmlData_ErrorStatus | Read (VrmlData_InBuffer &theBuffer)
virtual Standard_EXPORT VrmlData_ErrorStatus | Write (const char *thePrefix) const
virtual Standard_EXPORT Standard_Boolean | IsDefault () const

## Private Attributes

Standard_Real | myAmbientIntensity
Standard_Real | myShininess
Standard_Real | myTransparency
Quantity_Color | myDiffuseColor
Quantity_Color | myEmissiveColor
Quantity_Color | mySpecularColor

## Detailed Description

Implementation of the Material node

## Constructor & Destructor Documentation

Standard_EXPORT VrmlData_Material::VrmlData_Material | ( |  | ) |

| Empty constructor

Standard_EXPORT VrmlData_Material::VrmlData_Material | ( | const VrmlData_Scene & | theScene,
|  | const char * | theName,
|  | const Standard_Real | theAmbientIntensity = `-1.`,
|  | const Standard_Real | theShininess = `-1.`,
|  | const Standard_Real | theTransparency = `-1.`
| ) |

| Constructor

## Member Function Documentation

Standard_Real VrmlData_Material::AmbientIntensity | ( |  | ) | const`[inline]`

| Query the Ambient Intensity value

const Quantity_Color& VrmlData_Material::DiffuseColor | ( |  | ) | const`[inline]`

| Query the Diffuse color

const Quantity_Color& VrmlData_Material::EmissiveColor | ( |  | ) | const`[inline]`

| Query the Emissive color

virtual Standard_EXPORT VrmlData_Material::Handle | ( | VrmlData_Node |  | ) | const`[virtual]`

| Create a copy of this node. If the parameter is null, a new copied node is created. Otherwise new node is not created, but rather the given one is modified. Reimplemented from VrmlData_Node.

virtual Standard_EXPORT Standard_Boolean VrmlData_Material::IsDefault | ( |  | ) | const`[virtual]`

| Returns True if the node is default, so that it should not be written. Reimplemented from VrmlData_Node.

virtual Standard_EXPORT VrmlData_ErrorStatus VrmlData_Material::Read | ( | VrmlData_InBuffer & | theBuffer | ) | `[virtual]`

| Read the Node from input stream. Implements VrmlData_Node.

void VrmlData_Material::SetAmbientIntensity | ( | const Standard_Real | theAmbientIntensity | ) | `[inline]`

| Set the Ambient Intensity value

void VrmlData_Material::SetDiffuseColor | ( | const Quantity_Color & | theColor | ) | `[inline]`

| Query the Diffuse color

void VrmlData_Material::SetEmissiveColor | ( | const Quantity_Color & | theColor | ) | `[inline]`

| Query the Emissive color

void VrmlData_Material::SetShininess | ( | const Standard_Real | theShininess | ) | `[inline]`

| Set the Shininess value

void VrmlData_Material::SetSpecularColor | ( | const Quantity_Color & | theColor | ) | `[inline]`

| Query the Specular color

void VrmlData_Material::SetTransparency | ( | const Standard_Real | theTransparency | ) | `[inline]`

| Set the Transparency value

Standard_Real VrmlData_Material::Shininess | ( |  | ) | const`[inline]`

| Query the Shininess value

const Quantity_Color& VrmlData_Material::SpecularColor | ( |  | ) | const`[inline]`

| Query the Specular color

Standard_Real VrmlData_Material::Transparency | ( |  | ) | const`[inline]`

| Query the Transparency value

virtual Standard_EXPORT VrmlData_ErrorStatus VrmlData_Material::Write | ( | const char * | thePrefix | ) | const`[virtual]`

| Write the Node to the Scene output. Reimplemented from VrmlData_Node.

## Field Documentation

Standard_Real VrmlData_Material::myAmbientIntensity `[private]`

Quantity_Color VrmlData_Material::myDiffuseColor `[private]`

Quantity_Color VrmlData_Material::myEmissiveColor `[private]`

Standard_Real VrmlData_Material::myShininess `[private]`

Quantity_Color VrmlData_Material::mySpecularColor `[private]`

Standard_Real VrmlData_Material::myTransparency `[private]`

The documentation for this class was generated from the following file:

- VrmlData_Material.hxx